package com.zxhl.cms.pay

import android.app.Activity
import com.zxhl.cms.net.model.box.AppInEntity
import com.zxhl.cms.net.model.video.MemberEntity

/**
 * Created by gaoleichao on 2021/8/31
 */
class PayContract {


    interface View {

        fun updatePriceList(data: List<MemberEntity.ProductDetail>)

        fun verifyOrderFail()

        fun requestOrderSuc()

        fun verifyOrderSuc(orsder: String)


        fun setCanInvest(boolean: Boolean?)
        fun setOrderNo(order: String?)
        fun setAppInfo(result: AppInEntity?)
    }

    interface Presenter {
        fun requestMiniProgrom(goodsId: String,payType: String)
        fun requestWechatPayOrder(goodsId: String,payType: String)
        fun requestAliPay(activity: Activity, goodsId: String, payType: String)
        fun verifyPay(order: String?, payType: Int)
        fun getPriceList(paymodel:String)
        fun getVersifacation()
        fun appInfo()

    }

}